From 36ea8a62c628e5b0b6319e223c0493b349861940 Mon Sep 17 00:00:00 2001
From: Ryan Brue <ryanbrue@hotmail.com>
Date: Mar 27 2024 21:05:08 +0000
Subject: [PATCH 77/220] s


---

diff --git a/scripts/no-sources-srpm.sh b/scripts/no-sources-srpm.sh
new file mode 100644
index 0000000..f00c38a
--- /dev/null
+++ b/scripts/no-sources-srpm.sh
@@ -0,0 +1,27 @@
+#!/bin/bash -x
+
+# name of the crate/package
+name=$1
+# version of the crate/package
+version=$2
+# commit to target (latest == master)
+commit=$3
+# path to the spec file on the pc
+path_to_spec=$4
+# repo link
+repo=$5
+
+# Get specfile
+cp $path_to_spec $name.spec 2>/dev/null || :
+
+# Make replacements to specfile
+sed -i "/^%global ver / s/.*/%global ver $version/" $name.spec
+sed -i "/^%global commit / s/.*/%global commit none/" $name.spec
+current_date=$(date +'%Y%m%d.%H')
+sed -i "/^%global date / s/.*/%global date $current_date/" $name.spec
+
+
+ls -a
+pwd
+
+echo Done! $1 $2 $3 $4 $5
\ No newline at end of file

